<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:domikikritis="http://www.domik.gr/20221231" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:esef_cor="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" targetNamespace="http://www.domik.gr/20221231" elementFormDefault="qualified">
  <!-- INTEGIX by Ez-XBRL -->
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <import namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd"/>
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://www.domik.gr/role/BalanceSheetStatement" id="BalanceSheetStatement">
        <link:definition>0000 - Statement - Balance Sheet Statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.domik.gr/role/IncomeStatement" id="IncomeStatement">
        <link:definition>0001 - Statement - Income Statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.domik.gr/role/CashFlowStatement" id="CashFlowStatement">
        <link:definition>0002 - Statement - Cash Flow Statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.domik.gr/role/StatementOfChangesInEquity" id="StatementOfChangesInEquity">
        <link:definition>0003 - Statement - Statement of Changes in Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.domik.gr/role/NotesAndMandatoryItems" id="NotesAndMandatoryItems">
        <link:definition>0004 - Statement - Notes And Mandatory Items</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.domik.gr/role/Notes" id="Notes">
        <link:definition>0005 - Disclosure - Notes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.domik.gr/role/Anchoring" id="Anchoring">
        <link:definition>0006 - Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31_lab-el.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-el.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-el.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
    </appinfo>
  </annotation>
  <element name="AmortizationOfIntangibleAssets" id="domikikritis_AmortizationOfIntangibleAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit"/>
  <element name="CashAndCashEquivalentsOfFirstConsolidation" id="domikikritis_CashAndCashEquivalentsOfFirstConsolidation" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit"/>
  <element name="DepreciationOfTangibleAssets" id="domikikritis_DepreciationOfTangibleAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit"/>
  <element name="GainsFromRevaluationOfInvestingProperties" id="domikikritis_GainsFromRevaluationOfInvestingProperties" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
</schema>